summaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-3.3.3/arm-common.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/gcc/gcc-3.3.3/arm-common.dpatch')
-rw-r--r--recipes/gcc/gcc-3.3.3/arm-common.dpatch50
1 files changed, 50 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-3.3.3/arm-common.dpatch b/recipes/gcc/gcc-3.3.3/arm-common.dpatch
new file mode 100644
index 0000000000..232726788a
--- /dev/null
+++ b/recipes/gcc/gcc-3.3.3/arm-common.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh -e
+
+src=gcc
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ src=$3/gcc
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 --fuzz 10 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 --fuzz 10 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: delete ASM_OUTPUT_ALIGNED_COMMON from arm/elf.h, since it outputs
+# DP: the alignment in bits not bytes.
+
+Index: gcc/config/arm/elf.h
+===================================================================
+RCS file: /cvs/gcc/gcc/gcc/config/arm/elf.h,v
+retrieving revision 1.39
+diff -u -r1.39 elf.h
+--- gcc/config/arm/elf.h 21 Nov 2002 21:29:24 -0000 1.39
++++ gcc/config/arm/elf.h 20 Sep 2003 14:22:46 -0000
+@@ -152,16 +152,6 @@
+ #undef TARGET_ASM_NAMED_SECTION
+ #define TARGET_ASM_NAMED_SECTION arm_elf_asm_named_section
+
+-#undef ASM_OUTPUT_ALIGNED_COMMON
+-#define ASM_OUTPUT_ALIGNED_COMMON(STREAM, NAME, SIZE, ALIGN) \
+- do \
+- { \
+- fprintf (STREAM, "\t.comm\t"); \
+- assemble_name (STREAM, NAME); \
+- fprintf (STREAM, ", %d, %d\n", SIZE, ALIGN); \
+- } \
+- while (0)
+-
+ /* For PIC code we need to explicitly specify (PLT) and (GOT) relocs. */
+ #define NEED_PLT_RELOC flag_pic
+ #define NEED_GOT_RELOC flag_pic